mui.init({
	beforeback: function() { //获得父页面的webview
		var list = plus.webview.currentWebview().opener(); //触发父页面的自定义事件(refresh),从而进行刷新
		mui.fire(list, 'reload');
		//返回true,继续页面关闭逻辑
		return true;
	}
});
mui.plusReady(function() {

	$('#_select').on('change', function() {
		var selectValue = $('#_select option:selected').text(); //选中select的内容
		//        alert("selectValue" + selectValue);

		$("#bankUserName").val(selectValue);
	})
	var self = plus.webview.currentWebview();
	////console.log(self);
	var yhkid = self.id ? self.id : 0;
	// //console.log(yhkid);//

	if (yhkid > 0) {
		$('.header .title').html("编辑银行卡")
		JZL.ajax(qlgUrl('app/auth/getCompanyBankInfo'), {
			id: yhkid
		}, function(data) {
			////console.log(data);
			if (data.status == 1) {
				var data = data.data
				$('#_select').css("background", "none");
				$("#bankUserName").val(data.accountName);
				$('.bankname').prepend('<option value="' + data.bankName + '">' + data.bankName + '</option>');
				$("#cardnum").val(data.bankNo);
			} else {
				mui.alert(data.msg);
			}
		})
	}else{
		$('.header .title').html("添加银行卡")

	}
	// 选择银行
	JZL.ajax(qlgUrl('app/auth/getBankNameList'), {}, function(data) {
		//服务器返回响应，根据响应结果，分析是否登录成功；  
		////console.log(data)
		data = toJson(data);
		if (data.status == 1) {
			data = data.data;
			var html = '<option value="">选择银行</option>';
			$.each(data, function() {
				html += '<option value="' + this.bankName + '">' + this.bankName + '</option>'
			});
			$('.bankname').append(html);

		} else {
			// mui.alert('发生错误请刷新后重试！');
			//							location.reload();
		mui.alert(data.msg)
		}
	})

//提交
var click = false
	$('.bc_btn').on('tap', function() {
		if(true == click) return;
		click =true;
		var pargams = {};
		//编辑页面需要加id
		if (yhkid > 0) {
			pargams.id = yhkid;
		}
		pargams.accountName = $("#bankUserName").val();
		pargams.bankName = $(".bankname option:selected").text();
		pargams.bankNo = $("#cardnum").val();
		if ('' == pargams.accountName) {
			mui.alert("请输入持卡人姓名")
			return;
		}
		if ('' == pargams.bankNo) {
			mui.alert("请输入银行卡号")
			return;
		}
		if ('选择银行' == pargams.bankName) {
			mui.alert("请输入银行名称")
			return;
		}
		JZL.ajax(qlgUrl('app/auth/setBank'), pargams, function(data) {
			data = toJson(data);
			////console.log(data)
			if (data.status == 1) {
				mui.back();
			} else {
				mui.alert(data.msg);
			}
		});

	})
})
